Subject: Re: bug#13462: error: file 'build-aux/funclib.sh' not found

From: Peter Rosin <[email-masked]>
Date: Fri, 18 Jan 2013 10:46:38 +0100

On 2013-01-16 18:00, Peter Rosin wrote:
> Hi!
> 
> If I, in a dirty git checkout (added an insignificant newline) as
> of today, do this
> 
> 	./bootstrap -fc
> 	cd ..
> 	mkdir foo
> 	cd foo
> 	../libtool/configure
> 	make
> 	make check
> 
> all is fine. If I then modify build-aux/ltmain.in (with another
> insignificant newline) followed by
> 
> 	make
> 
> or
> 	make check
> 
> I get:
> 
>   GEN      ../libtool-msvc/build-aux/ltmain.sh
> inline-source:   error: file 'build-aux/funclib.sh' not found
> inline-source:   error: file 'build-aux/options-parser' not found
>   GEN      libtool
> 
> followed by numerous failures that appear to be related.

Hi!

This appears to fix it. Ok to commit?

Cheers,
Peter

>From 3723f89999cf69192cf09825a52447652ae47f8f Mon Sep 17 00:00:00 2001
From: Peter Rosin <[email-masked]>
Date: Fri, 18 Jan 2013 10:40:37 +0100
Subject: [PATCH] maint: find external libraries from a VPATH build

Fixes bug#13462.

* build-aux/ltmain.in: Assume that the external libraries are in the
same directory as this script.

Signed-off-by: Peter Rosin <[email-masked]>
---
 build-aux/ltmain.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/build-aux/ltmain.in b/build-aux/ltmain.in
index c8cdb9c..2e85cb0 100644
--- a/build-aux/ltmain.in
+++ b/build-aux/ltmain.in
@@ -61,8 +61,8 @@ package_revision=@package_revision@
 # Much of our low-level functionality needs to be sourced from external
 # libraries, which are installed to $pkgauxdir.
 
-. "build-aux/funclib.sh"
-. "build-aux/options-parser"
+. `echo "$0" |${SED-sed} 's|[^/]*$||'`"funclib.sh"
+. `echo "$0" |${SED-sed} 's|[^/]*$||'`"options-parser"
 
 # Set a version string.
 scriptversion='(GNU @PACKAGE@) @VERSION@'
-- 
1.7.9